=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --datadir=\$${prefix}/share/stegdetect


#Architecture 

build: build-stamp
build-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	$(MAKE) CC=gcc-3.4
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install:
	dh_testdir -a
	dh_testdir 
	dh_testroot
	dh_clean -k
	dh_installdirs -Pdebian/tmp  -pstegdetect
	dh_installdirs -Pdebian/tmp  -pxsteg
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	
	$(MAKE) install prefix=$(CURDIR)/debian/stegdetect/usr
	cp $(CURDIR)/debian/xsteg.1 $(CURDIR)/debian/xsteg/usr/share/man/man1/xsteg.1 
	mv $(CURDIR)/debian/stegdetect/usr/bin/xsteg $(CURDIR)/debian/xsteg/usr/bin/xsteg
	rm $(CURDIR)/debian/stegdetect/usr/share/man/man1/file.1
	rm -rf $(CURDIR)/debian/stegdetect/usr/man

	#dh_install
	dh_install -s

	#dh_movefiles

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
# Build architecture dependant packages using the common target.
binary-arch: install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch 
.PHONY: build clean binary-arch binary install
