## stegdetect 0.6-4

=== debian/changelog ===
stegdetect (0.6-4) unstable; urgency=low

  * Fixed some typo in manpage (Closes: #402515)
  * Fixed some minor problems and updated to last magic files (Closes: #402516)

 --  <samu@debian.org>  Mon, 11 Dec 2006 11:23:10 +0100
