## stegdetect 0.6-4build1

=== debian/changelog ===
stegdetect (0.6-4build1) hardy; urgency=low

  * Rebuild for libglib1.2 -> libglib1.2ldbl transition.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 05 Dec 2007 10:03:34 +1100
