=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: stegdetect
 Architecture: any
-Depends: ${shlibs:Depends}, wenglish | wordlist
+Depends: ${shlibs:Depends}, wenglish | wordlist, libmagic1
 Suggests: libjpeg-progs
 Description: Detect and extract steganography messages inside JPEG 
  Stegdetect is an automated tool for detecting steganographic content
