=== debian/rules ===
--- 
+++ 
@@ -78,6 +78,9 @@
 	cp $(CURDIR)/debian/xsteg.1 $(CURDIR)/debian/xsteg/usr/share/man/man1/xsteg.1 
 	mv $(CURDIR)/debian/stegdetect/usr/bin/xsteg $(CURDIR)/debian/xsteg/usr/bin/xsteg
 	rm $(CURDIR)/debian/stegdetect/usr/share/man/man1/file.1
+	rm $(CURDIR)/debian/stegdetect/usr/share/stegdetect/magic.inc
+	rm -rf $(CURDIR)/debian/stegdetect/usr/share/man/man4
+	rm -rf $(CURDIR)/debian/stegdetect/usr/share/man/man5
 	rm -rf $(CURDIR)/debian/stegdetect/usr/man
 
 	#dh_install
